#! /bin/sh /usr/share/dpatch/dpatch-run
## 13-fix-arm-qreal-ftbfs.dpatch by  <toby@leopard>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: qreal is float on arm, not double

@DPATCH@
diff -urNad beta1~/mscore/mscore/barline.cpp beta1/mscore/mscore/barline.cpp
--- beta1~/mscore/mscore/barline.cpp	2010-02-13 17:08:36.000000000 +0000
+++ beta1/mscore/mscore/barline.cpp	2010-02-13 17:45:26.651540910 +0000
@@ -96,7 +96,7 @@
       {
       double lw = point(score()->styleS(ST_barWidth));
       double y1, y2;
-      getY(&y1, &y2);
+      getY((double*)&y1, (double*)&y2);
 
       QPen pen(p.pen());
       pen.setWidthF(lw);
@@ -313,7 +313,7 @@
       *grips   = 1;
       double lw = point(score()->styleS(ST_barWidth));
       double y1, y2;
-      getY(&y1, &y2);
+      getY((double*)&y1, (double*)&y2);
       grip[0].translate(QPointF(lw * .5, y2) + canvasPos());
       }
 
@@ -360,7 +360,7 @@
 void BarLine::endEditDrag()
       {
       double y1, h2;
-      getY(&y1, &h2);
+      getY((double*)&y1, (double*)&h2);
       yoff      = 0.0;
       double ay1 = canvasPos().y();
       double ay2 = ay1 + h2;
@@ -402,7 +402,7 @@
       _span = staff() ? staff()->barLineSpan() : 1;
 
       double y1, y2;
-      getY(&y1, &y2);
+      getY((double*)&y1, (double*)&y2);
       Spatium w = score()->styleS(ST_barWidth);
       double dw  = 0.0;
 
--- ./mscore/mscore/beam.cpp.orig2010-09-25 07:58:09.000000000 +0000
+++ ./mscore/mscore/beam.cpp 2010-10-04 12:09:32.000000000 +0000
@@ -786,7 +786,7 @@
 
             double x2 = npos.x();
             double y1 = npos.y();
-            double y  = _up ? qMin(qreal(p1dy), _p1[idx].y()) : qMax(p1dy, _p1[idx].y());
+            double y  = _up ? qMin(qreal(p1dy), _p1[idx].y()) : qMax(qreal(p1dy), _p1[idx].y());
             double y2 = y + (x2 - x1) * slope + cp.y();
 
             double stemLen = _up ? (y1 - y2) : (y2 - y1);
